Next: ABS, Previous: Introduction to Intrinsics, Up: Intrinsic Procedures [Contents][Index]

### 8.2 `ABORT` — Abort the program

Description:

  `ABORT` causes immediate termination of the program. On operating systems that support a core dump, `ABORT` will produce a core dump. It will also print a backtrace, unless `-fno-backtrace` is given.

Standard:

  GNU extension

Class:

  Subroutine

Syntax:

  `CALL ABORT`

Return value:

  Does not return.

Example:

      program test_abort
        integer :: i = 1, j = 2
        if (i /= j) call abort
      end program test_abort

See also:

  EXIT, KILL, BACKTRACE